{ config, lib, pkgs, ... }:

let
  inherit (lib) mkIf;
  cfg = config.r6d.config-generator;
  computers = config.r6d.computers;
  profiles = config.r6d.profiles;
in

mkIf profiles.isDesktop {

  environment.systemPackages = with pkgs; [
    # Outils réseau
    iperf
    iptraf-ng
    nload
    telnet
    vsftpd

    ## Diagnostic
    arp-scan
    wireshark
    whois

    ## Routage
    quagga

    ## Tunnel
    openvpn
    tinc
  ];

  networking.firewall = {
    allowedTCPPorts = [5201]; # iperf
    allowedUDPPorts = [5201]; # iperf
  };
}
